#include <sys/types.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <errno.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>
#include <string.h>
#include <signal.h>
#include <termios.h>

int main(int argc, char **argv)
{
  int fd;
  int status;

  if((fd = open(argv[1], O_RDWR | O_NDELAY)) < 0)
  {
    fprintf(stderr, "ar-2: %s: %s\n", argv[1], strerror(errno));
    exit(1);
  }
  
  ioctl(fd, TIOCMGET, &status);

  if(strcmp(argv[2], "on") == 0)
    status |= TIOCM_RTS;
  if(strcmp(argv[2], "off") == 0)
    status &= ~TIOCM_RTS;
  if(strcmp(argv[2], "status") == 0)
  {
    if(status & TIOCM_RTS)
      printf("ON\n");
    else
      printf("OFF\n");
  }

  ioctl(fd, TIOCMSET, &status);

  close(fd);
}
